.header{
    background-color: $backgroundColor;
    z-index: 998;
    @include breakpoint(sm){
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        padding: 0;
        margin: 0;
        height: 80px;
        box-shadow: 0 0 5px 0px #777;
        .header-container{
            width: 100%;
            height: 100%;
            position: relative;
            .container-toggle{
                position: absolute;
                top: 50%;
                left: 20px;
                transform: translateY(-50%);
                padding: 0;
                margin: 0;
                button{
                    border: none;
                    background-color: transparent;
                    width: 25px;
                    height: 25px;
                    padding: 0;
                    margin: 0;
                    img{
                        width: 100%;
                        height: 100%;
                        margin: 0;
                    }
                    &:focus{
                        outline: 0;
                    }
                }
            }
            .container-logo{
                position: absolute;
                padding: 0;
                margin: 0;
                top: 50%;
                left: 50%;
                transform: translate(-50%,-50%);
                a{
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    align-items: center;
                    text-decoration-line: none;
                    color: #000;
                    font-family: 'Berkshire Swash Regular';
                    font-size: 1.25rem;
                }
            }
            .container-navigation{
                display: none;
            }
            .container-function{
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                right: 20px;
                width: 65px;
                display: flex;
                align-items: center;
                justify-content: space-between;
                padding: 0;
                .function-searchForm{
                    margin: 0;
                    .searchForm-input{
                        width: 0px;
                        padding: 0;
                        display: none;
                        transition: all 0.3s ease-in-out;
                    }
                    .searchForm-submit{
                        padding: 0;
                        margin: 0;
                        width: 25px;
                        height: 25px;
                        border: none;
                        background-color: transparent;
                        @include freshEffect;
                        img{
                            width: 100%;
                            height: 100%;
                        }
                        &:focus{
                            outline: none;
                        }
                    }
                }
                .function-cart{
                    display: block;
                    width: 25px;
                    height: 25px;
                    padding: 0;
                    margin: 0;
                    @include freshEffect;
                    img{
                        width: 100%;
                        height: 100%;
                        margin: 0;
                    }
                }
            }
        }
    }
    @include breakpoint(lg){
        width: $maxWidth;
        margin: auto;
        margin-top: 0;
        margin-bottom: 0;
        padding: 40px;
        box-sizing: border-box;
        box-shadow: none;
        .header-container{
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            .container-toggle{
                display: none;
            }
            .container-navigation{
                display: flex;
                padding: 0;
                margin-right: 80px;
                a{
                    margin: 5px;
                    text-decoration-line: none;
                    text-transform: uppercase;
                    font-weight: bold;
                    color: #000;
                    @include linkWithUnderline;
                }
            }
            .container-logo{
                position: unset;
                transform: none;
            }
            .container-function{
                right: 0;
            }
        }
    }
    @include breakpoint(ex){
        width: $maxWideWidth;
    }
}
